package eu.clarin.cmdi.mdservice.action;

import java.io.IOException;
import java.net.MalformedURLException;
import java.net.URL;

import net.sf.json.JSONObject;
import net.sf.json.xml.XMLSerializer;

/**
 *
 *
 */
public class CollectionProxyAction extends GenericProxyAction {

	private static final long serialVersionUID = 1L;
	
	private String proxy_key = "collections";

	@Override 
	public String getFullFormat() {
		return "collection2" + getFormat();
	}
	
	@Override
	public String getProxyKey() {
		return proxy_key;
	}
	
	
	public URL getTargetRequest() throws IOException {
	        
		URL targetURL = null;
		//targetURL =new URL( getBaseURL(), getActionkey());
		//FIXME: get maxdepth-constant out of here !!
		targetURL = new URL(getBaseURL(), "?operation=getCollections&maxdepth=2&collection=");
		//Admin.notifyUser("CollectionProxy.targetURL:" + targetURL);

	    return targetURL;
	}
	
	
	@Override
	public URL getBaseURL() throws MalformedURLException {		
		if (base_url == null) {
			//base_url = new URL(Admin.getConfig().getProperty(getProxyKey() + ".uri"));
			base_url = new URL(getRepositoryPath());
						//Admin.notifyUser("TEST-URLnew:" + base_url.toString());
			
		}
		return base_url;
	}


}
